[arch-commits] Commit in (5 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Jan 29 08:37:42 EST 2011


    Date: Saturday, January 29, 2011 @ 08:37:42
  Author: andyrtr
Revision: 108108

add xfce4-dict replacing xfce4-dict-plugin

Added:
  xfce4-dict/
  xfce4-dict/repos/
  xfce4-dict/trunk/
  xfce4-dict/trunk/PKGBUILD
  xfce4-dict/trunk/xfce4-dict.install

--------------------+
 PKGBUILD           |   37 +++++++++++++++++++++++++++++++++++++
 xfce4-dict.install |   11 +++++++++++
 2 files changed, 48 insertions(+)

Added: xfce4-dict/trunk/PKGBUILD
===================================================================
--- xfce4-dict/trunk/PKGBUILD	                        (rev 0)
+++ xfce4-dict/trunk/PKGBUILD	2011-01-29 13:37:42 UTC (rev 108108)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Aurelien Foret <orelien at chez.com>
+
+pkgname=xfce4-dict
+pkgver=0.6.0
+pkgrel=1
+pkgdesc="A dictionary plugin for the Xfce panel"
+arch=('i686' 'x86_64')
+license=('GPL2')
+url="http://goodies.xfce.org/projects/applications/xfce4-dict"
+groups=('xfce4-goodies')
+depends=('xfce4-panel' 'hicolor-icon-theme' 'librsvg')
+makedepends=('pkgconfig')
+options=('!libtool')
+install=${pkgname}.install
+source=(http://archive.xfce.org/src/apps/xfce4-dict/0.6/xfce4-dict-${pkgver}.tar.bz2)
+md5sums=('c371c5c0bbe45a2bfac336cfe01dfe01')
+provides=('xfce4-dict-plugin')
+conflicts=('xfce4-dict-plugin')
+replaces=('xfce4-dict-plugin')
+
+build() {
+  cd ${startdir}/src/xfce4-dict-${pkgver}
+  ./configure --prefix=/usr \
+	--sysconfdir=/etc \
+	--libexecdir=/usr/lib \
+	--localstatedir=/var \
+	--disable-static \
+	--disable-debug
+  make
+}
+
+package() {
+  cd ${startdir}/src/xfce4-dict-${pkgver}
+  make DESTDIR=${startdir}/pkg install || return 1
+}


Property changes on: xfce4-dict/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: xfce4-dict/trunk/xfce4-dict.install
===================================================================
--- xfce4-dict/trunk/xfce4-dict.install	                        (rev 0)
+++ xfce4-dict/trunk/xfce4-dict.install	2011-01-29 13:37:42 UTC (rev 108108)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}



More information about the arch-commits mailing list